services:
    de_developmentx11ssh_openwrt:
        stdin_open: true
        tty: true
        #ports:
        #    - 0.0.0.0:22:22
        ports:
        - target: 22
          host_ip: 192.168.10.56
          published: 22
          protocol: tcp
          mode: none
        platform: linux/amd64
        volumes:
            - /root/git:/root/git:X
            - /var/run/docker.sock:/var/run/docker.sock:X
            - /srv/www/htdocs:/srv/www/htdocs:X
        #dns:
            # router ip over vpn wireguard
            #- "192.168.10.56"
        container_name: devssh
        network_mode: bridge      
        environment:
            # Proxy Server 
            - PROXY_SERVER=192.168.10.56
            
            # Java memory to 2GB
            - JVM_OPTS=-Xmx2g -Xms2g -XX:MaxPermSize=1024m
            
            # Time Zone Berlin
            - TZ=CET-1
            #- DRINODE=/dev/dri/renderD128 
            - DISABLE_IPV6=true 
            - NTP_SERVER=2.rhel.pool.ntp.org
            - QEMU_CPU=16
            - QEMU_RAM=6144
            #- QEMU_RAM=24576
            #- QEMU_CDROM=/dev/dvd/OracleLinux-R8-U8-x86_64-dvd.iso
            #- QEMU_ARCH=${QEMU_ARCH:-SPARC64}
            - QEMU_ARCH=${QEMU_ARCH:-SPARC32PLUS}
            #- QEMU_ARCH=${UltraSparc-IV-plus}
            #- QEMU_ARCH=${Sun-UltraSparc-IIIi-plus}
            #Sun-UltraSparc-IIIi-plus
            #Sun-UltraSparc-IV-plus
        runtime: io.containerd.runc.v2
        cap_add:
            - NET_ADMIN
            - SYS_MODULE
        privileged: true     
        security_opt:
            - no-new-privileges=true
            - seccomp:unconfined
            - apparmor:unconfined    
            - label=type:container_runtime_t
        sysctls:
            - net.ipv4.conf.all.src_valid_mark=1
            - net.ipv4.ip_forward=1
        image: jgsoftwares/de_developmentx11ssh_openwrt:baseXopenwrtext4


networks:
  # remote 
  vlan30: 
    
    name: wan
    driver: ipvlan
    # vlan name 
    driver_opts:
      parent: eth0
      ipvlan_mode: l3
    ipam:
      config:
        - subnet: 192.168.10.2/24
          gateway: 192.168.10.1 
          

                                                                                       
                                                                                                 
                                                                                      
                                                                                 
                                                                          
                                                                                                                                                                            
                                                                        

